Bug 31152 - Please backport r200 fix to r100 and r300c
Summary: Please backport r200 fix to r100 and r300c
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/R100 (show other bugs)
Version: git
Hardware: All All
: medium normal
Assignee: Default DRI bug account
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-10-27 00:50 UTC by Fabio Pedretti
Modified: 2010-11-11 08:12 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Fabio Pedretti 2010-10-27 00:50:17 UTC
The following fix:
http://cgit.freedesktop.org/mesa/mesa/commit/?h=7.9&id=6936fbc03999354075da4d5b91b1ee7ce190fa80
http://lists.freedesktop.org/archives/mesa-dev/2010-October/003491.html

should be backported to master and 7.9 branches in both r100 and r300c.
Comment 1 Alex Deucher 2010-10-27 11:34:42 UTC
Done for r100:
http://cgit.freedesktop.org/mesa/mesa/commit/?id=b194b9b23801cd716244047b0b9b8bd9be518b78

I'm not sure if r300c/r600c need a similar fix or not.
Comment 2 Fabio Pedretti 2010-10-28 00:49:35 UTC
I can say that r300c is still crashing when resizing glxgears:

drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.

[ 3429.186630] [drm:r100_cs_track_check] *ERROR* [drm] Buffer too small for z buffer (need 1053440 have 389120) !
[ 3429.186642] [drm:r100_cs_track_check] *ERROR* [drm] zbuffer (320 4 0 823)
[ 3429.186647] [drm:radeon_cs_ioctl] *ERROR* Invalid command stream !
Comment 3 Alexei 2010-11-03 09:00:45 UTC
Alex, I'm also still getting this error on Radeon X1650.

$ lspci -nn | grep VGA
01:00.0 VGA compatible controller [0300]: ATI Technologies Inc RV535 [Radeon X1650 Series] [1002:71c7] (rev 9e)

Running glxgears and resizing produces:

drmRadeonCmdBuffer: -22. Kernel failed to parse or rejected command stream. See dmesg for more info.

$ dmesg | tail
[ 255.016584] [drm:r100_cs_track_check] *ERROR* [drm] Buffer too small for z buffer (need 612864 have 516096) !
[ 255.016594] [drm:r100_cs_track_check] *ERROR* [drm] zbuffer (384 4 0 399)
[ 255.016597] [drm:radeon_cs_ioctl] *ERROR* Invalid command stream !

$ uname -a
Linux 2.6.36-020636rc6-generic #201009291126 SMP Wed Sep 29 12:42:36 UTC 2010 i686 GNU/Linux
Comment 4 Alexei 2010-11-08 09:38:36 UTC
Is there an estimate for when this might happen? Thank you!
Comment 5 Fabio Pedretti 2010-11-11 00:50:26 UTC
Looks like r300c was fixed by the following commit:
http://cgit.freedesktop.org/mesa/mesa/commit/?id=d8eef5196fcd6f51e443d4dfa0fda8aadc668f9f
Comment 6 Alex Deucher 2010-11-11 07:22:47 UTC
I guess we can close this then.
Comment 7 Alexei 2010-11-11 08:09:41 UTC
Which kernel is this going to get merged into? Could I figure this out from the ticket?

Thanks everybody!
Comment 8 Alex Deucher 2010-11-11 08:12:23 UTC
(In reply to comment #7)
> Which kernel is this going to get merged into? Could I figure this out from the
> ticket?

These are mesa fixes, not kernel fixes.  They are in mesa master and the 7.9 branch so they'll show up in mesa 7.10 and 7.9.1.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.